#include<iostream.h> 
#include<iomanip.h> 
 int main()                                                  
{
 int i;
 for(i=1;i<=10000;i++)
  if(i%3==2&&i%5==3&&i%7==4)
   cout<<setw(5)<<i;
 return(0);
} 
